;;;                                                                    ;
;;;  atableX2G.LSP                                                     ;
;;;                                                                    ;
;;;  Copyright 2005 by Alexander Shchetinin. All Rights Reserved.      ;
;;;                                                                    ;
;;;  You are hereby granted permission to use, copy and modify this    ;
;;;  software without charge, provided you do so exclusively for       ;
;;;  your own use or for use by others in your organization in the     ;
;;;  performance of their normal duties, and provided further that     ;
;;;  the above copyright notice appears in all copies and both that    ;
;;;  copyright notice and the limited warranty and restricted rights   ;
;;;  notice below appear in all supporting documentation.              ;
;;;                                                                    ;
;;;  Incorporation of any part of this software into other software,   ;
;;;  except when such incorporation is exclusively for your own use    ;
;;;  or for use by others in your organization in the performance of   ;
;;;  their normal duties, is prohibited without the prior written      ;
;;;  consent of author.                                                ;
;;;                                                                    ;
;;;  Copying, modification and distribution of this software or any    ;
;;;  part thereof in any form except as expressly provided herein is   ;
;;;  prohibited without the prior written consent of author.           ;
;;;                                                                    ;
;;;  AUTHOR PROVIDES THIS SOFTWARE "AS IS" AND WITH ALL FAULTS.        ;
;;;  AUTHOR SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF             ;
;;;  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTHOR,         ;
;;;  DOES NOT WARRANT THAT THE OPERATION OF THE SOFTWARE               ;
;;;  WILL BE UNINTERRUPTED OR ERROR FREE.                              ;
;;;                                                                    ;
;;;--------------------------------------------------------------------;
;;;       Function:  atableX2G                                         ;
;;;                                                                    ;
;;;    Description:  This function is import data from Microsoft Excel ;
;;;                  to tables in ATable editor.                       ;
;;;                                                                    ;
;;;                                                                    ;
;;;                  Required Application: ATable for AutoCAD          ;
;;;                                                                    ;
;;;      Arguments:  None                                              ;
;;;                                                                    ;
;;; Returned Value:  None	                                       ;
;;;                                                                    ;
;;;          Usage:  Load atableX2G.lsp in AutoCAD by command Appload. ;
;;;                  Run ATable for AutoCAD. Display ATable editor     ;
;;;                  Enter option Add-ons in command line. Select X2G  ;
;;;                  option and follow instructions in command line.   ;
;;;                                                                    ;
;;;--------------------------------------------------------------------;

;addon function
(defun c:atableX2G( / )
  (command "-vbarun" "atableX2G.dvb!mdlX2G.dialogX2G")
)

;service functions
(defun c:X2Gsel( / )
  (command "-vbarun" "atableX2G.dvb!mdlX2G.updateX2Gobject")
)

(defun c:X2Gall( / )
  (command "-vbarun" "atableX2G.dvb!mdlX2G.updateX2Gall")
)

;module information
(princ "\natableX2G v2.0 (addon for ATable) - import Microsoft Excel data to ATable")
(princ)
